GEGELATI

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
Learn::Job Class Reference

This class embeds roots for the simulations. More...

`#include <job.h>`

Inheritance diagram for Learn::Job:

## Public Member Functions
| Job ()=delete
| Deleted default constructor.
| Job (const TPG::TPGVertex *root, uint64_t archiveSeed=0, uint64_t idx=0)
| Constructor enabling storing elements in the job so that the Learning Agents will be able to use them later.
virtual | ~Job ()=default
| Default virtual destructor.
uint64_t | getIdx () const
| Getter of index.
uint64_t | getArchiveSeed () const
| Getter of archiveSeed.
virtual const TPG::TPGVertex * | getRoot () const
| Getter of the root.

## Protected Attributes
const TPG::TPGVertex * | root
const uint64_t | idx
const uint64_t | archiveSeed

## Detailed Description

This class embeds roots for the simulations.

The goal of the Job is to contain one root, so that each job will match with one simulation/evaluation. A basic learning agent will embed one root per job to do as many simulations as there are roots.

## Constructor & Destructor Documentation

## ◆ Job()

Learn::Job::Job | ( | const TPG::TPGVertex * | root,
|  | uint64_t | archiveSeed = 0,
|  | uint64_t | idx = 0 )
| inline

Constructor enabling storing elements in the job so that the Learning Agents will be able to use them later.

Parameters

  [in] | root | The root that will be encapsulated into the job.
  [in] | archiveSeed | The archive seed that will be used with this job.
  [in] | idx | The index of this job.

## Member Function Documentation

## ◆ getArchiveSeed()

uint64_t Learn::Job::getArchiveSeed | ( |  | ) | const

Getter of archiveSeed.

Returns
  The archive seed of the job.

## ◆ getIdx()

uint64_t Learn::Job::getIdx | ( |  | ) | const

Getter of index.

Returns
  The index of the job.

Copyright or © or Copr. IETR/INSA - Rennes (2019 - 2020) :

Karol Desnos kdesn.nosp@m.os@i.nosp@m.nsa-r.nosp@m.enne.nosp@m.s.fr (2019 - 2020) Pierre-Yves Le Rolland-Raumer plero.nosp@m.lla@.nosp@m.insa-.nosp@m.renn.nosp@m.es.fr (2020)

GEGELATI is an open-source reinforcement learning framework for training artificial intelligence based on Tangled Program Graphs (TPGs).

This software is governed by the CeCILL-C license under French law and abiding by the rules of distribution of free software. You can use, modify and/ or redistribute the software under the terms of the CeCILL-C license as circulated by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".

As a counterpart to the access to the source code and rights to copy, modify and redistribute granted by the license, users are provided only with a limited warranty and the software's author, the holder of the economic rights, and the successive licensors have only limited liability.

In this respect, the user's attention is drawn to the risks associated with loading, using, modifying and/or developing or reproducing the software by the user in light of its specific status of free software, that may mean that it is complicated to manipulate, and that also therefore means that it is reserved for developers and experienced professionals having in-depth computer knowledge. Users are therefore encouraged to load and test the software's suitability as regards their requirements in conditions enabling the security of their systems and/or data to be ensured and, more generally, to use and operate it in the same conditions as regards security.

The fact that you are presently reading this means that you have had knowledge of the CeCILL-C license and that you accept its terms.

## ◆ getRoot()

const TPG::TPGVertex * Learn::Job::getRoot | ( |  | ) | const
| virtual

Getter of the root.

Returns
  The root embedded by the job.

Reimplemented in Learn::AdversarialJob.

## Member Data Documentation

## ◆ archiveSeed

const uint64_t Learn::Job::archiveSeed
| protected

Seed that will be used to randomize archive.

## ◆ idx

const uint64_t Learn::Job::idx
| protected

Index associated to this job.

## ◆ root

const TPG::TPGVertex* Learn::Job::root
| protected

The root contained in the job.

The documentation for this class was generated from the following files:

- D:/a/gegelati/gegelati/gegelatilib/include/learn/job.h
- D:/a/gegelati/gegelati/gegelatilib/src/learn/job.cpp